> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Live Tail Devbox Logs.

> Tail the logs for the given devbox. This will return past log entries and continue streaming from there. The stream will then continue to stream logs until the connection is closed.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/devboxes/{id}/logs/tail
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/devboxes/{id}/logs/tail:
    get:
      tags:
        - Devbox
        - Devbox-ObservabilityTools
      summary: Live Tail Devbox Logs.
      description: >-
        Tail the logs for the given devbox. This will return past log entries
        and continue streaming from there. The stream will then continue to
        stream logs until the connection is closed.
      operationId: tailDevboxLogs
      parameters:
        - name: id
          in: path
          description: The Devbox ID.
          required: true
          schema:
            type: string
        - name: execution_id
          in: query
          description: ID of execution to filter logs by.
          allowEmptyValue: true
          schema:
            type: string
        - name: shell_name
          in: query
          description: Shell Name to filter logs by.
          allowEmptyValue: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              description: text/event-stream
              schema:
                type: string
        '404':
          description: Devbox not found.
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````